/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 14-09-2017, 12:45:09
    Author     : jonas
*/
body{
    background: #ffffff;
    margin: 0;
    padding: 0;
}
body p{
    text-align: center;
    font-size: 1.5em;
    margin: auto;
    margin-top: 1em;
    margin-bottom: 2em;
}

#page{
    width: 99%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
}
#head{
    margin-bottom: 0.5%;
    background-color: #005c99;
    color: #ffffff;;
    width: 100%;
    padding-top: 0.5rem;
    padding-bottom: 0.5em;
    font-size: 1.25rem;
    text-align: center;
    border-bottom-left-radius:0.5em;
        border-bottom-right-radius:0.5em;
}
.box{
    height: 3em;
    width: inherit;   
    margin: 0.25%;
}
.box p{
    font-size: 1.25rem;
    font-weight: 800;
    text-align: center;
    margin: 0;
    margin-bottom: 0.5em;
}

.box h4{
    text-align: center;
    font-size: 1em;
    margin: 0;
}
.button{
    height: 2em;
}
.status{
    background-color: #dbe8fa;
    width: 100%;
    margin: 0.25%;
    border-radius: 1em;
}
.status div{
    height: 2em;
    margin: 0.5em;
}
.status h3{
    text-align: center;
    font-size: 1em;
    margin: 0;
}

#previews{
    display: flex;
    flex-wrap: wrap;
    height: auto;
    margin-left: 1%;
    margin-right: 1%;
    margin-bottom: 1%;
    /*border: 3px solid #9a9afc;*/
    border-radius: 0.5em;
    overflow: auto;
}
#preview{
    width: 10%;
    margin: auto;
    padding: 0.1em;
}

.thumb {
    width: 100%;
    border: 2px solid #dbe8fa;
    border-radius: 0.25em;
    opacity: 0.5;
}
.done{
    background-image: url("check.svg");
    background-repeat: no-repeat;
    background-size: cover;
}
#action{
    display: none;
}
#upload_button{
    width: 50%;
    height: 34px;
    font-size: 1.25rem;
    text-align: center;
    font-weight: 700;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: pointer;
    overflow: hidden;
    border: 2px solid black;
    border-radius: 0.5em;
    color: #f1e5e6;
    background-color: #205f2b;
    opacity: 0.75;
    padding: 0.25%;
    margin: auto;
    transition: all 1s;
}
#upload_button img{
    padding-right: 0.75em;
    width: 1.75rem;
    vertical-align: bottom;
}

#upload_button:hover {opacity: 1;
}
#statusArea{
    background-color: antiquewhite;  
    min-height: 100px;
    width: 90%;
    margin: auto; 
}
#progressBar{    
    background-color: slategray;  
    height: 40px;
    width: 98%;
    margin-left: 1%;
    margin-right: 1%; 

}

#textarea{
    position: fixed;
    resize: no;
    width: 97%;
    height: 10%;
    left: 1%;
    top: 71%;
    border-radius: 0.5em;
    border: 3px solid #8f7e76;
}
.loader {
    display: none;
    margin: auto;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 40px;
  height: 40px;
  -webkit-animation: spin 4s linear infinite; /* Safari */
  animation: spin 4s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
    75% { -webkit-transform: rotate(360deg); }
  100% { -webkit-transform: rotate(0deg); }
}
@keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
    75% { -webkit-transform: rotate(360deg); }
  100% { -webkit-transform: rotate(0deg); }
}


@media screen and (max-width:560px){
    #previews{
        height: auto;
    }
    #preview{
        width: 40%;
    }

}